iT邦幫忙

0

Your PHP MySQL library version mysqlnd 版本過舊

hsiang11 2 月前5004 瀏覽

有一台mysql版本5.5.54
phpMyAdmin - 2.11.11.3
登入phpMyAdmin 下方提示錯誤Your PHP MySQL library version mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $ differs from your MySQL server version 5.5.54. This may cause unpredictable behavior.

可是我查過mysqlnd已經升級上來了,也重啟過httpd跟SQL
php56-mysqlnd-5.6.30-1.133
那為什麼phpmyadmin還是顯示錯誤
會不會是phpmyadmin版本過舊?
不知道怎麼更新phpmyadmin

hsiang11 iT邦新手 3 級 ‧ 2 月前 檢舉
更新phpmyadmin後又出現另外一個問題了 原本的錯誤消失了
但是舊版的phpmyadmin2移除了
原本的網址server/phpmyadmin網址首頁還是存在,只是變無法登入發生錯誤
新版的4版網址server/phpMyAdmin才可以正常登入
要怎麽把舊版的網址乾淨移除阿?

1 個回答

0
bizpro
iT邦大師 1 級 ‧ 2 月前
最佳解答

phpmysadmin是PHP腳本. 以目錄的方式安裝到網站的根目錄下(或您指定的目錄下)
server/phpmyadmin: 表示目錄名稱是phpmyadmin
server/phpMyAdmin: 表示目錄名稱是phpMyAdmin
假設server是您的全域名(FQDN), 刪掉網站根目錄下的phymyadmin. 我想您這是Linux系統, 所以大小寫有別.

hsiang11 iT邦新手 3 級 ‧ 2 月前 檢舉

Alias /phpMyAdmin /usr/share/phpMyAdmin
Alias /phpmyadmin /usr/share/phpMyAdmin
phpMyAdmin設定檔都是指到/usr同一位址
我想也不能亂刪除
只好註解掉舊的了

hsiang11 iT邦新手 3 級 ‧ 2 月前 檢舉

後來發現舊網頁有快取 所以沒讀到新資料

我要發表回答

立即登入回答